org.apache.http.conn

## Class HttpInetSocketAddress

- java.lang.Object
- - java.net.SocketAddress
  - - java.net.InetSocketAddress
    - - org.apache.http.conn.HttpInetSocketAddress

- All Implemented Interfaces:
    Serializable

  Deprecated.
  (4.3)

      @Deprecated
      public class HttpInetSocketAddress
      extends InetSocketAddress

  Extended `InetSocketAddress` implementation that also provides access to the original `HttpHost` used to resolve the address.
  Since:
    4.2 no longer used.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HttpInetSocketAddress(org.apache.http.HttpHost httphost, InetAddress addr, int port)` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.http.HttpHost` | `getHttpHost()` Deprecated.
    `String` | `toString()` Deprecated.

    - ### Methods inherited from class java.net.InetSocketAddress

      `createUnresolved, equals, getAddress, getHostName, getHostString, getPort, hashCode, isUnresolved`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### HttpInetSocketAddress

          public HttpInetSocketAddress(org.apache.http.HttpHost httphost,
                               InetAddress addr,
                               int port)

      Deprecated.

  - ### Method Detail

    - #### getHttpHost

          public org.apache.http.HttpHost getHttpHost()

      Deprecated.

    - #### toString

          public String toString()

      Deprecated.
      Overrides:
        `toString` in class `InetSocketAddress`

Copyright © 1999–2022 The Apache Software Foundation. All rights reserved.